Integrador
Listar configurações do integrador
Lista as configurações vigentes para o integrador do token.
GET
/manager/integrator/store/config/getAuthorization
bearerAuth gatewayKey AuthorizationBearer <token>
Token JWT no formato: Bearer {token}
In: header
ocp-apim-subscription-key<token>
Gateway Token recebido na criacao da loja.
In: header
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.smarttef.mobi/manager/integrator/store/config/get"[
{
"config_id": 8,
"name": "pooling_time",
"value": "30",
"active": true,
"description": "Intervalo em segundos entre listagens",
"store_id": null,
"integrator_id": 3
},
{
"config_id": 1,
"name": "logo",
"value": "https://storage.blob.com/smart-tef/default-logo.png",
"active": true,
"description": "Logo exibida no app",
"store_id": null,
"integrator_id": null
}
]{
"status": 401,
"data": {
"message": [
"Unauthorized",
"Token não e do tipo integrador, verifique se o token está correto.",
"token not corresponds."
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/integrator/store/config/get"
}
}{
"status": 404,
"data": {
"message": "Integrator not found",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/integrator/store/config/get"
}
}{
"status": 500,
"data": {
"message": "Internal Server Error",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/integrator/store/config/get"
}
}